/*
* This file is part of LSTRD.
*
* Copyright (C) 2003 Pavel Cejka <pavel.cejka at kapsa.club.cz>
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or (at
* your option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
* USA
*/

#define DIRECTORY_LENGTH	128*16+256	/* 128 poloek po 16ti bytech a jeden sektor s inf. o disket */

// TRDOS INFO SECTOR
#define OFFSET_FIRSTSECTOR	225		/* Prvn voln sektor pouiteln k uloen souboru. */
#define OFFSET_FIRSTTRACK	226		/* Prvn voln track pouiteln k uloen souboru. */
#define OFFSET_DISKFORMAT	227		/* Formt 22=80tr/DS, 23=40tr/DS, 24=80tr/SS, 25=40tr/SS */
#define OFFSET_FILES   		228		/* Poet soubor vetn smazanch, kter nebyly posledn. */
#define OFFSET_FREESECTORS	229		/* Poet volnch sektor - 2 byty */
#define OFFSET_TRDOSIDENT	231		/* TRDOS identifikace, mus bt vdy 16 */
#define OFFSET_PASSWORD		234		/* OBSOLETE!! Zastaral, pouval TRDOS 3.x a 4.x */
#define OFFSET_DELETEDFILES	244		/* Poet smazanch soubor (tch co nebyly posledn...) */
#define OFFSET_DISKNAME		245		/* Novj verze TRDOSu z Brna pouv 10 znak, star jen 8 */

typedef struct {
	unsigned char byte[256];
} trdos_sector;
	
typedef struct {
	trdos_sector sector[16];
} trdos_track;

